## geary 0.6.0

=== CMakeLists.txt ===
# Geary build script
# Copyright 2011-2014 Yorba Foundation
#
# Check http://webdev.elementaryos.org/docs/developer-guide/cmake for documentation

cmake_minimum_required(VERSION 2.8)
cmake_policy(VERSION 2.6)

project(geary C)

list(APPEND CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake )

#
# Base bits
#
set(GETTEXT_PACKAGE "geary")
set(RELEASE_NAME "Lightweight email client for GNOME.")
set(VERSION "0.6.0")
set(VERSION_INFO "Release")
set(LANGUAGE_SUPPORT_DIRECTORY ${CMAKE_INSTALL_PREFIX}/share/locale)

# Packaging filenamesnames.
set(ARCHIVE_BASE_NAME ${CMAKE_PROJECT_NAME}-${VERSION})
set(ARCHIVE_FULL_NAME ${ARCHIVE_BASE_NAME}.tar.xz)
set(ARCHIVE_DEBUILD_FULL_NAME ${CMAKE_PROJECT_NAME}_${VERSION}.orig.tar.xz)

option(DEBUG "Build for debugging." OFF)
option(ICON_UPDATE "Run gtk-update-icon-cache after the install." ON)
option(DESKTOP_UPDATE "Run update-desktop-database after the install." ON)
option(DESKTOP_VALIDATE "Check generated desktop file for errors during build." ON)

if (DEBUG)
    message(STATUS "Debug build")
endif ()

if (ICON_UPDATE)
    message(STATUS "Icon cache will be updated")
endif ()

if (DESKTOP_UPDATE)
    message(STATUS "Desktop database will be updated")
endif ()

if (DESKTOP_VALIDATE)
    message(STATUS "Generated desktop file will be checked for errors")
endif ()

find_package(PkgConfig)
pkg_check_modules(LIBUNITY QUIET unity>=5.12.0)
pkg_check_modules(LIBMESSAGINGMENU QUIET messaging-menu>=12.10.2)

# CMake's range-checking syntax doesn't allow for a bare less-than, so using
# improbably high version numbers to indicate maximum
pkg_check_modules(WEBKITGTK24X QUIET webkitgtk-3.0>=2.3.0)
pkg_check_modules(WEBKITGTK22X QUIET webkitgtk-3.0>=2.2.0 webkitgtk-3.0<=2.2.100)
pkg_check_modules(WEBKITGTK20X QUIET webkitgtk-3.0>=2.0.0 webkitgtk-3.0<=2.0.100)
pkg_check_modules(WEBKITGTK110X QUIET webkitgtk-3.0>=1.10.0 webkitgtk-3.0<=1.10.2)

# intl
include(Gettext)
if (XGETTEXT_FOUND)
    message(STATUS "xgettext found")
else ()
    message(STATUS "xgettext not found")
endif ()

#
# Uninstall target
#
configure_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/cmake_uninstall.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
    IMMEDIATE @ONLY
)

add_custom_target(
    uninstall-base
    COMMAND 
        ${CMAKE_COMMAND} -P ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake
    COMMAND 
        ${glib_schema_compiler} ${GSETTINGS_DIR}
)

add_custom_target(
    uninstall
)

# We add this dependency using add_dependencies (which makes it run first) rather than
# a depends clause in add_custom_target (which would make it run last).
add_dependencies(uninstall uninstall-base)

# This gets fired in the root-level Makefile to ensure an post-uninstall cleanup happens after
# everything has has been removed
add_custom_target(
    post-uninstall
)

# Dist
# This generates the dist tarballs
add_custom_target(
    dist
    COMMAND 
        git archive --prefix=${ARCHIVE_BASE_NAME}/ HEAD
        | xz -z > ${CMAKE_BINARY_DIR}/${ARCHIVE_FULL_NAME}
    WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
)

# Ubuntu
# Builds the source Debian package used for the Launchpad PPA
add_custom_target(
    ubuntu_pre
    DEPENDS
        dist
    COMMAND 
        ${CMAKE_COMMAND} -E copy ${ARCHIVE_FULL_NAME} ${ARCHIVE_DEBUILD_FULL_NAME}
    COMMAND
        tar xvfx ${ARCHIVE_FULL_NAME}
)

add_custom_target(
    ubuntu
    DEPENDS
        ubuntu_pre
    COMMAND
        ${CMAKE_COMMAND} -E copy_directory "${CMAKE_CURRENT_SOURCE_DIR}/debian" 
        "${CMAKE_CURRENT_BINARY_DIR}/${ARCHIVE_BASE_NAME}/debian"
    COMMAND 
        debuild -S -k$ENV{GPGKEY}
    COMMAND

    WORKING_DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}/${ARCHIVE_BASE_NAME}"
)

add_subdirectory(desktop)
add_subdirectory(help)
add_subdirectory(icons)
add_subdirectory(po)
add_subdirectory(sql)
add_subdirectory(src)
add_subdirectory(theming)
add_subdirectory(ui)

=== desktop/CMakeLists.txt ===
#
# Build and install geary.desktop
#

install(FILES geary.appdata.xml DESTINATION share/appdata)

include (FindIntltool)
include (FindDesktopFileValidate)
if (INTLTOOL_MERGE_FOUND)
    INTLTOOL_MERGE_DESKTOP (geary po)
    
    if (DESKTOP_VALIDATE)
        if (DESKTOP_FILE_VALIDATE_FOUND)
            VALIDATE_DESKTOP_FILE (geary)
        else (DESKTOP_FILE_VALIDATE_FOUND)
            message (FATAL_ERROR "desktop-file-validate must be installed to validate generated .desktop file")
        endif (DESKTOP_FILE_VALIDATE_FOUND)
    endif (DESKTOP_VALIDATE)
else (INTLTOOL_MERGE_FOUND)
    message (FATAL_ERROR "intltool must be installed to generate .desktop file")
endif (INTLTOOL_MERGE_FOUND)

# Optional: run update-desktop-database at install time.
# (This has to happen after the geary.desktop file is installed.)
if (DESKTOP_UPDATE)
    install(
        CODE
            "execute_process (COMMAND update-desktop-database)"
        CODE
            "message (STATUS \"Updating desktop database\")"
    )
    
    add_custom_target(
        uninstall-desktop-update
        COMMAND
            update-desktop-database
    )
    
    add_dependencies(post-uninstall uninstall-desktop-update)
else ()
    install(
        CODE "message (STATUS \"Not updating desktop database\")"
    )
endif ()

=== help/CMakeLists.txt ===
set(HELP_FILES
    accounts.page
    archive.page
    bugs.page
    index.page
    label.page
    limits.page
    overview.page
    preferences.page
    search.page
    shortcuts.page
    star.page
    write.page
)

# FIXME: don't re-specify this here, instead read it from Makefile.am.
set(TRANSLATED
    el
    es
)

set(HELP_DEST share/gnome/help/geary)

set(HELP_SOURCE)
foreach(_page ${HELP_FILES})
    set(HELP_SOURCE ${HELP_SOURCE} C/${_page})
endforeach()

install(FILES ${HELP_SOURCE} DESTINATION ${HELP_DEST}/C)
install(FILES C/figures/geary.svg DESTINATION ${HELP_DEST}/C/figures)


FIND_PROGRAM(XML2PO_BIN xml2po)
IF(NOT XML2PO_BIN)
    MESSAGE(FATAL_ERROR "xml2po not found")
ENDIF()

# Hacked together from the similar macro in cmake/Gettext.cmake.
MACRO(HELP_CREATE_TRANSLATIONS _firstLang)
    SET(_translatedPages)
    SET(_addToAll)
    SET(_isComment FALSE)

    FOREACH(_lang ${_firstLang} ${ARGN})
        IF(_lang STREQUAL "ALL")
            SET(_addToAll "ALL")
        ELSEIF(_lang STREQUAL "COMMENT")
            SET(_isComment TRUE)
        ELSEIF(_isComment)
            SET(_isComment FALSE)
            SET(_comment ${_lang})
        ELSE()
            GET_FILENAME_COMPONENT(_absPo ${_lang}/${_lang}.po ABSOLUTE)

            FOREACH(_page ${HELP_FILES})
                GET_FILENAME_COMPONENT(_absSourcePage C/${_page} ABSOLUTE)
                SET(_destPage ${CMAKE_CURRENT_BINARY_DIR}/${_lang}/${_page})
                GET_FILENAME_COMPONENT(_destPath ${_destPage} PATH)

                #MESSAGE("_absPo=${_absPo} _absSourcePage=${_absSourcePage} _destPage=${_destPage} _lang=${_lang} _page=${_page} curr_bin=${CMAKE_CURRENT_BINARY_DIR}\n")
                ADD_CUSTOM_COMMAND(
                    OUTPUT ${_destPage}
                    COMMAND mkdir -p ${_destPath} && ${XML2PO_BIN} -m mallard -p ${_absPo} -o ${_destPage} ${_absSourcePage}
                    DEPENDS ${_absPo} ${_absSourcePage}
                    WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
                    )

                INSTALL(FILES ${_destPage} DESTINATION ${HELP_DEST}/${_lang})
                SET(_translatedPages ${_translatedPages} ${_destPage})
            ENDFOREACH()
        ENDIF()
    ENDFOREACH()

    IF(DEFINED _comment)
        ADD_CUSTOM_TARGET(help_translations ${_addToAll} DEPENDS ${_translatedPages} COMMENT ${_comment})
    ELSE()
        ADD_CUSTOM_TARGET(help_translations ${_addToAll} DEPENDS ${_translatedPages})
    ENDIF()
ENDMACRO()

HELP_CREATE_TRANSLATIONS(ALL ${TRANSLATED} COMMENT "Translating help docs.")

=== icons/CMakeLists.txt ===
set(ICONS_DEST share/geary/icons)

set(ICON_FILES
    archive-symbolic.svg
    close-symbolic.svg
    document-symbolic.svg
    edit-symbolic.svg
    format-text-remove-symbolic.svg
    forward-symbolic.svg
    forward-rtl-symbolic.svg
    inbox-symbolic.svg
    marker-symbolic.svg
    outbox-symbolic.svg
    reply-all-symbolic.svg
    reply-all-rtl-symbolic.svg
    reply-symbolic.svg
    reply-rtl-symbolic.svg
    sent-symbolic.svg
    sent-rtl-symbolic.svg
    spam-symbolic.svg
    spam-rtl-symbolic.svg
    tag-symbolic.svg
    tag-rtl-symbolic.svg
)

install(FILES ${ICON_FILES} DESTINATION ${ICONS_DEST})

# Application icon goes in theme directory
install(FILES "16x16/geary.png" DESTINATION share/icons/hicolor/16x16/apps)
install(FILES "24x24/geary.png" DESTINATION share/icons/hicolor/24x24/apps)
install(FILES "32x32/geary.png" DESTINATION share/icons/hicolor/32x32/apps)
install(FILES "48x48/geary.png" DESTINATION share/icons/hicolor/48x48/apps)
install(FILES "256x256/geary.png" DESTINATION share/icons/hicolor/256x256/apps)
install(FILES "512x512/geary.png" DESTINATION share/icons/hicolor/512x512/apps)

# Optional: update icon cache at install time.
if (ICON_UPDATE)
    install(
        CODE
            "execute_process (COMMAND gtk-update-icon-cache -t -f ${CMAKE_INSTALL_PREFIX}/share/icons/hicolor)"
        CODE
            "message (STATUS \"Updated icon cache in ${CMAKE_INSTALL_PREFIX}/share/icons/hicolor\")"
    )
    
    add_custom_target(
        uninstall-icon-cache
        COMMAND
            gtk-update-icon-cache -t -f ${CMAKE_INSTALL_PREFIX}/share/icons/hicolor
        COMMENT
            "Updated icon cache after uninstall in ${CMAKE_INSTALL_PREFIX}/share/icons/hicolor"
    )
    
    add_dependencies(post-uninstall uninstall-icon-cache)
endif ()

=== sql/CMakeLists.txt ===
set(SQL_DEST share/geary/sql)

install(FILES version-001.sql DESTINATION ${SQL_DEST})
install(FILES version-002.sql DESTINATION ${SQL_DEST})
install(FILES version-003.sql DESTINATION ${SQL_DEST})
install(FILES version-004.sql DESTINATION ${SQL_DEST})
install(FILES version-005.sql DESTINATION ${SQL_DEST})
install(FILES version-006.sql DESTINATION ${SQL_DEST})
install(FILES version-007.sql DESTINATION ${SQL_DEST})
install(FILES version-008.sql DESTINATION ${SQL_DEST})
install(FILES version-009.sql DESTINATION ${SQL_DEST})
install(FILES version-010.sql DESTINATION ${SQL_DEST})
install(FILES version-011.sql DESTINATION ${SQL_DEST})
install(FILES version-012.sql DESTINATION ${SQL_DEST})
install(FILES version-013.sql DESTINATION ${SQL_DEST})
install(FILES version-014.sql DESTINATION ${SQL_DEST})
install(FILES version-015.sql DESTINATION ${SQL_DEST})
install(FILES version-016.sql DESTINATION ${SQL_DEST})
install(FILES version-017.sql DESTINATION ${SQL_DEST})
install(FILES version-018.sql DESTINATION ${SQL_DEST})
install(FILES version-019.sql DESTINATION ${SQL_DEST})
install(FILES version-020.sql DESTINATION ${SQL_DEST})
install(FILES version-021.sql DESTINATION ${SQL_DEST})

=== src/CMakeLists.txt ===
# Geary build script
# Copyright 2011-2014 Yorba Foundation

set(ENGINE_SRC
engine/abstract/geary-abstract-account.vala
engine/abstract/geary-abstract-folder.vala
engine/abstract/geary-abstract-local-folder.vala

engine/api/geary-account.vala
engine/api/geary-account-information.vala
engine/api/geary-aggregated-folder-properties.vala
engine/api/geary-attachment.vala
engine/api/geary-base-object.vala
engine/api/geary-composed-email.vala
engine/api/geary-contact.vala
engine/api/geary-contact-flags.vala
engine/api/geary-contact-importance.vala
engine/api/geary-contact-store.vala
engine/api/geary-credentials.vala
engine/api/geary-credentials-mediator.vala
engine/api/geary-email-flags.vala
engine/api/geary-email-identifier.vala
engine/api/geary-email-properties.vala
engine/api/geary-email.vala
engine/api/geary-endpoint.vala
engine/api/geary-engine-error.vala
engine/api/geary-engine.vala
engine/api/geary-folder.vala
engine/api/geary-folder-path.vala
engine/api/geary-folder-properties.vala
engine/api/geary-folder-supports-archive.vala
engine/api/geary-folder-supports-copy.vala
engine/api/geary-folder-supports-create.vala
engine/api/geary-folder-supports-mark.vala
engine/api/geary-folder-supports-move.vala
engine/api/geary-folder-supports-remove.vala
engine/api/geary-logging.vala
engine/api/geary-named-flag.vala
engine/api/geary-named-flags.vala
engine/api/geary-progress-monitor.vala
engine/api/geary-search-folder.vala
engine/api/geary-search-query.vala
engine/api/geary-service-provider.vala
engine/api/geary-special-folder-type.vala

engine/app/app-conversation.vala
engine/app/app-conversation-monitor.vala
engine/app/app-email-store.vala

engine/app/conversation-monitor/app-append-operation.vala
engine/app/conversation-monitor/app-conversation-operation-queue.vala
engine/app/conversation-monitor/app-conversation-operation.vala
engine/app/conversation-monitor/app-conversation-set.vala
engine/app/conversation-monitor/app-external-append-operation.vala
engine/app/conversation-monitor/app-fill-window-operation.vala
engine/app/conversation-monitor/app-local-load-operation.vala
engine/app/conversation-monitor/app-local-search-operation.vala
engine/app/conversation-monitor/app-remove-operation.vala
engine/app/conversation-monitor/app-reseed-operation.vala
engine/app/conversation-monitor/app-terminate-operation.vala

engine/app/email-store/app-async-folder-operation.vala
engine/app/email-store/app-copy-operation.vala
engine/app/email-store/app-fetch-operation.vala
engine/app/email-store/app-list-operation.vala
engine/app/email-store/app-mark-operation.vala

engine/common/common-message-data.vala

engine/db/db.vala
engine/db/db-connection.vala
engine/db/db-context.vala
engine/db/db-database.vala
engine/db/db-database-error.vala
engine/db/db-result.vala
engine/db/db-statement.vala
engine/db/db-synchronous-mode.vala
engine/db/db-transaction-async-job.vala
engine/db/db-transaction-outcome.vala
engine/db/db-transaction-type.vala
engine/db/db-versioned-database.vala

engine/imap/imap.vala
engine/imap/imap-error.vala
engine/imap/api/imap-account.vala
engine/imap/api/imap-email-flags.vala
engine/imap/api/imap-email-properties.vala
engine/imap/api/imap-folder-properties.vala
engine/imap/api/imap-folder.vala
engine/imap/api/imap-folder-root.vala
engine/imap/command/imap-append-command.vala
engine/imap/command/imap-capability-command.vala
engine/imap/command/imap-close-command.vala
engine/imap/command/imap-command.vala
engine/imap/command/imap-compress-command.vala
engine/imap/command/imap-copy-command.vala
engine/imap/command/imap-create-command.vala
engine/imap/command/imap-examine-command.vala
engine/imap/command/imap-expunge-command.vala
engine/imap/command/imap-fetch-command.vala
engine/imap/command/imap-id-command.vala
engine/imap/command/imap-idle-command.vala
engine/imap/command/imap-list-command.vala
engine/imap/command/imap-list-return-parameter.vala
engine/imap/command/imap-login-command.vala
engine/imap/command/imap-logout-command.vala
engine/imap/command/imap-message-set.vala
engine/imap/command/imap-noop-command.vala
engine/imap/command/imap-search-command.vala
engine/imap/command/imap-search-criteria.vala
engine/imap/command/imap-search-criterion.vala
engine/imap/command/imap-select-command.vala
engine/imap/command/imap-starttls-command.vala
engine/imap/command/imap-status-command.vala
engine/imap/command/imap-store-command.vala
engine/imap/message/imap-data-format.vala
engine/imap/message/imap-envelope.vala
engine/imap/message/imap-fetch-body-data-specifier.vala
engine/imap/message/imap-fetch-data-specifier.vala
engine/imap/message/imap-flag.vala
engine/imap/message/imap-flags.vala
engine/imap/message/imap-internal-date.vala
engine/imap/message/imap-mailbox-specifier.vala
engine/imap/message/imap-mailbox-parameter.vala
engine/imap/message/imap-message-data.vala
engine/imap/message/imap-message-flag.vala
engine/imap/message/imap-message-flags.vala
engine/imap/message/imap-sequence-number.vala
engine/imap/message/imap-status-data-type.vala
engine/imap/message/imap-tag.vala
engine/imap/message/imap-uid.vala
engine/imap/message/imap-uid-validity.vala
engine/imap/parameter/imap-atom-parameter.vala
engine/imap/parameter/imap-list-parameter.vala
engine/imap/parameter/imap-literal-parameter.vala
engine/imap/parameter/imap-nil-parameter.vala
engine/imap/parameter/imap-number-parameter.vala
engine/imap/parameter/imap-parameter.vala
engine/imap/parameter/imap-quoted-string-parameter.vala
engine/imap/parameter/imap-root-parameters.vala
engine/imap/parameter/imap-string-parameter.vala
engine/imap/parameter/imap-unquoted-string-parameter.vala
engine/imap/response/imap-capabilities.vala
engine/imap/response/imap-continuation-response.vala
engine/imap/response/imap-fetch-data-decoder.vala
engine/imap/response/imap-fetched-data.vala
engine/imap/response/imap-mailbox-attribute.vala
engine/imap/response/imap-mailbox-attributes.vala
engine/imap/response/imap-mailbox-information.vala
engine/imap/response/imap-response-code.vala
engine/imap/response/imap-response-code-type.vala
engine/imap/response/imap-server-data.vala
engine/imap/response/imap-server-data-type.vala
engine/imap/response/imap-server-response.vala
engine/imap/response/imap-status.vala
engine/imap/response/imap-status-data.vala
engine/imap/response/imap-status-response.vala
engine/imap/transport/imap-client-connection.vala
engine/imap/transport/imap-client-session-manager.vala
engine/imap/transport/imap-client-session.vala
engine/imap/transport/imap-deserializer.vala
engine/imap/transport/imap-serializer.vala

engine/imap-db/imap-db-account.vala
engine/imap-db/imap-db-attachment.vala
engine/imap-db/imap-db-contact.vala
engine/imap-db/imap-db-database.vala
engine/imap-db/imap-db-email-identifier.vala
engine/imap-db/imap-db-folder.vala
engine/imap-db/imap-db-message-addresses.vala
engine/imap-db/imap-db-message-row.vala
engine/imap-db/imap-db-search-email-identifier.vala
engine/imap-db/outbox/smtp-outbox-email-identifier.vala
engine/imap-db/outbox/smtp-outbox-email-properties.vala
engine/imap-db/outbox/smtp-outbox-folder.vala
engine/imap-db/outbox/smtp-outbox-folder-properties.vala
engine/imap-db/outbox/smtp-outbox-folder-root.vala

engine/imap-engine/imap-engine.vala
engine/imap-engine/imap-engine-account-synchronizer.vala
engine/imap-engine/imap-engine-batch-operations.vala
engine/imap-engine/imap-engine-contact-store.vala
engine/imap-engine/imap-engine-email-flag-watcher.vala
engine/imap-engine/imap-engine-email-prefetcher.vala
engine/imap-engine/imap-engine-generic-account.vala
engine/imap-engine/imap-engine-generic-folder.vala
engine/imap-engine/imap-engine-minimal-folder.vala
engine/imap-engine/imap-engine-replay-operation.vala
engine/imap-engine/imap-engine-replay-queue.vala
engine/imap-engine/imap-engine-send-replay-operation.vala
engine/imap-engine/gmail/imap-engine-gmail-account.vala
engine/imap-engine/gmail/imap-engine-gmail-folder.vala
engine/imap-engine/gmail/imap-engine-gmail-search-folder.vala
engine/imap-engine/other/imap-engine-other-account.vala
engine/imap-engine/other/imap-engine-other-folder.vala
engine/imap-engine/outlook/imap-engine-outlook-account.vala
engine/imap-engine/outlook/imap-engine-outlook-folder.vala
engine/imap-engine/outlook/imap-engine-outlook-drafts-folder.vala
engine/imap-engine/replay-ops/imap-engine-abstract-list-email.vala
engine/imap-engine/replay-ops/imap-engine-copy-email.vala
engine/imap-engine/replay-ops/imap-engine-create-email.vala
engine/imap-engine/replay-ops/imap-engine-fetch-email.vala
engine/imap-engine/replay-ops/imap-engine-list-email-by-id.vala
engine/imap-engine/replay-ops/imap-engine-list-email-by-sparse-id.vala
engine/imap-engine/replay-ops/imap-engine-mark-email.vala
engine/imap-engine/replay-ops/imap-engine-move-email.vala
engine/imap-engine/replay-ops/imap-engine-remove-email.vala
engine/imap-engine/replay-ops/imap-engine-replay-append.vala
engine/imap-engine/replay-ops/imap-engine-replay-disconnect.vala
engine/imap-engine/replay-ops/imap-engine-replay-removal.vala
engine/imap-engine/replay-ops/imap-engine-server-search-email.vala
engine/imap-engine/yahoo/imap-engine-yahoo-account.vala
engine/imap-engine/yahoo/imap-engine-yahoo-folder.vala

engine/memory/memory-buffer.vala
engine/memory/memory-byte-buffer.vala
engine/memory/memory-empty-buffer.vala
engine/memory/memory-file-buffer.vala
engine/memory/memory-growable-buffer.vala
engine/memory/memory-offset-buffer.vala
engine/memory/memory-string-buffer.vala
engine/memory/memory-unowned-byte-array-buffer.vala
engine/memory/memory-unowned-bytes-buffer.vala
engine/memory/memory-unowned-string-buffer.vala

engine/mime/mime-content-disposition.vala
engine/mime/mime-content-parameters.vala
engine/mime/mime-content-type.vala
engine/mime/mime-data-format.vala
engine/mime/mime-disposition-type.vala
engine/mime/mime-error.vala

engine/nonblocking/nonblocking-abstract-semaphore.vala
engine/nonblocking/nonblocking-batch.vala
engine/nonblocking/nonblocking-concurrent.vala
engine/nonblocking/nonblocking-counting-semaphore.vala
engine/nonblocking/nonblocking-error.vala
engine/nonblocking/nonblocking-mailbox.vala
engine/nonblocking/nonblocking-mutex.vala
engine/nonblocking/nonblocking-reporting-semaphore.vala
engine/nonblocking/nonblocking-variants.vala

engine/rfc822/rfc822.vala
engine/rfc822/rfc822-error.vala
engine/rfc822/rfc822-gmime-filter-flowed.vala
engine/rfc822/rfc822-gmime-filter-blockquotes.vala
engine/rfc822/rfc822-gmime-filter-plain.vala
engine/rfc822/rfc822-mailbox-addresses.vala
engine/rfc822/rfc822-mailbox-address.vala
engine/rfc822/rfc822-message.vala
engine/rfc822/rfc822-message-data.vala
engine/rfc822/rfc822-utils.vala

engine/smtp/smtp-abstract-authenticator.vala
engine/smtp/smtp-authenticator.vala
engine/smtp/smtp-capabilities.vala
engine/smtp/smtp-client-connection.vala
engine/smtp/smtp-client-session.vala
engine/smtp/smtp-command.vala
engine/smtp/smtp-data-format.vala
engine/smtp/smtp-error.vala
engine/smtp/smtp-greeting.vala
engine/smtp/smtp-login-authenticator.vala
engine/smtp/smtp-plain-authenticator.vala
engine/smtp/smtp-request.vala
engine/smtp/smtp-response.vala
engine/smtp/smtp-response-code.vala
engine/smtp/smtp-response-line.vala

engine/state/state-machine-descriptor.vala
engine/state/state-machine.vala
engine/state/state-mapping.vala

engine/util/util-collection.vala
engine/util/util-converter.vala
engine/util/util-files.vala
engine/util/util-generic-capabilities.vala
engine/util/util-html.vala
engine/util/util-imap-utf7.vala
engine/util/util-inet.vala
engine/util/util-iterable.vala
engine/util/util-numeric.vala
engine/util/util-object.vala
engine/util/util-reference-semantics.vala
engine/util/util-scheduler.vala
engine/util/util-stream.vala
engine/util/util-string.vala
engine/util/util-synchronization.vala
engine/util/util-time.vala
engine/util/util-trillian.vala
)

set(CLIENT_SRC
client/application/geary-action-adapter.vala
client/application/geary-application.vala
client/application/geary-args.vala

=== theming/CMakeLists.txt ===
set(THEMING_DEST share/geary/theming)

install(FILES message-viewer.html DESTINATION ${THEMING_DEST})
install(FILES message-viewer.css DESTINATION ${THEMING_DEST})

=== ui/CMakeLists.txt ===
set(UI_DEST share/geary/ui)

install(FILES accelerators.ui DESTINATION ${UI_DEST})
install(FILES account_list.glade DESTINATION ${UI_DEST})
install(FILES account_cannot_remove.glade DESTINATION ${UI_DEST})
install(FILES account_spinner.glade DESTINATION ${UI_DEST})
install(FILES app_menu.interface DESTINATION ${UI_DEST})
install(FILES composer.glade DESTINATION ${UI_DEST})
install(FILES composer_accelerators.ui DESTINATION ${UI_DEST})
install(FILES find_bar.glade DESTINATION ${UI_DEST})
install(FILES login.glade DESTINATION ${UI_DEST})
install(FILES message.glade DESTINATION ${UI_DEST})
install(FILES password-dialog.glade DESTINATION ${UI_DEST})
install(FILES preferences.glade DESTINATION ${UI_DEST})
install(FILES remove_confirm.glade DESTINATION ${UI_DEST})
install(FILES toolbar_mark_menu.ui DESTINATION ${UI_DEST})
install(FILES toolbar_menu.ui DESTINATION ${UI_DEST})
install(FILES upgrade_dialog.glade DESTINATION ${UI_DEST})

=== bindings/vapi/Makefile ===
# NOTE: The dependencies in this file require vapigen and vala-gen-introspect to be installed,
# which are not default in a standard Vala installation.

GMIME_FILES := \
	gmime-2.6/gmime-2.6.defines \
	gmime-2.6/gmime-2.6.files \
	gmime-2.6/gmime-2.6.metadata \
	gmime-2.6/gmime-2.6.namespace \
	gmime-2.6/gmime-2.6-custom.vala

all: gmime-2.6.vapi

.PHONY: clean
clean:
	rm gmime-2.6.vapi gmime-2.6/gmime-2.6.gi

gmime-2.6/gmime-2.6.gi: $(GMIME_FILES)
	vala-gen-introspect gmime-2.6 gmime-2.6

gmime-2.6.vapi: gmime-2.6/gmime-2.6.gi
	vapigen --pkg=glib-2.0 --pkg=gio-2.0 --library gmime-2.6 gmime-2.6/gmime-2.6.gi gmime-2.6/gmime-2.6-custom.vala

=== debian/changelog ===
geary (0.6.0-0ubuntu2) trusty; urgency=medium

  * debian/control: build-depends on gnome-doc-utils

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 21 Mar 2014 18:15:16 +0100

geary (0.6.0-0ubuntu1) trusty; urgency=medium

  * New upstream version

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 21 Mar 2014 18:01:44 +0100

geary (0.5.3-0ubuntu1) trusty; urgency=medium

  * New upstream version

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 10 Mar 2014 11:50:41 +0100

geary (0.5.1-0ubuntu1) trusty; urgency=medium

  * New upstream version

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 05 Feb 2014 17:08:29 +0000

geary (0.4.1-0ubuntu1) trusty; urgency=low

  * New upstream version

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 12 Nov 2013 23:33:28 +0100

=== debian/control ===
Source: geary
Section: mail
Priority: extra
Maintainer: Devid Antonio Filoni <d.filoni@ubuntu.com>
Build-Depends: debhelper (>= 9.20120417),
               cmake (>= 2.8.0),
               valac (>= 0.20),
               libgee-0.8-dev (>= 0.8.0),
               libglib2.0-dev (>= 2.30.0),
               libgtk-3-dev (>= 3.6.0),
               libunique-3.0-dev (>= 3.0.0),
               libnotify-dev (>=0.7.5),
               libcanberra-dev (>= 0.28),
               libwebkitgtk-3.0-dev (>= 1.10.0),
               libgmime-2.6-dev (>= 2.6.0),
               libsecret-1-dev (>= 0.11),
               libsqlite3-dev (>= 3.7.4),
               libxml2-dev (>= 2.7.8),
               libgnome-keyring-dev (>= 3.2.2),
               libgirepository1.0-dev (>= 1.32.0),
               intltool,
               libmessaging-menu-dev,
               desktop-file-utils,
               gnome-doc-utils,
Standards-Version: 3.9.4
Homepage: http://yorba.org/geary/

Package: geary
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: lightweight email client designed for the GNOME desktop
 Geary is an email reader for GNOME designed to let you read your email
 quickly and effortlessly. Its interface is based on conversations, so you
 can easily read an entire discussion without having to click from message
 to message.

=== debian/rules ===
#!/usr/bin/make -f

CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
CFLAGS:=$(shell dpkg-buildflags --get CFLAGS) $(CPPFLAGS)
CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS) $(CPPFLAGS)
LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)

%:
	dh $@

override_dh_auto_configure:
	./configure --prefix=/usr

override_dh_installchangelogs:
	dh_installchangelogs NEWS

=== debian/watch ===
version=3
http://yorba.org/download/geary/([\d\.]+)/geary-(.*)\.tar\.xz

## geary 0.6.3

=== debian/changelog ===
geary (0.6.3-1ubuntu1) utopic; urgency=medium

  * Merge from debian. Remaining changes:
    - debian/control: Add build-depends on libmessaging-menu-dev and
      libunity-dev for Unity integration.

 -- Jackson Doak <noskcaj@ubuntu.com>  Wed, 10 Sep 2014 07:13:14 +1000

geary (0.6.3-1) unstable; urgency=medium

  * New upstream release.
    - Warn user of TLS certificate issues when connecting.
      (Closes: #703975; LP: #1158859)
  * Add build-depends on libgcr-3-dev.

 -- Vincent Cheng <vcheng@debian.org>  Wed, 03 Sep 2014 22:58:57 -0700

geary (0.6.2-1ubuntu1) utopic; urgency=medium

  * Merge from debian. Remaining changes:
    - debian/control: Add build-depends on libmessaging-menu-dev and
      libunity-dev for Unity integration.

 -- Jackson Doak <noskcaj@ubuntu.com>  Mon, 25 Aug 2014 16:28:57 +1000

geary (0.6.2-1) unstable; urgency=medium

  * New upstream release.

 -- Vincent Cheng <vcheng@debian.org>  Wed, 20 Aug 2014 23:32:20 -0700

geary (0.6.1-1ubuntu2) utopic; urgency=medium

  * No-change rebuild against new vala to fix bug with previous GMutex
    implementation.

 -- Iain Lane <iain@orangesquash.org.uk>  Tue, 19 Aug 2014 10:03:16 +0100

geary (0.6.1-1ubuntu1) utopic; urgency=medium

  * Merge from debian. Remaining changes:
    - debian/control: Add build-depends on libmessaging-menu-dev and
      libunity-dev for Unity integration.

 -- Vincent Cheng <vcheng@debian.org>  Thu, 03 Jul 2014 23:32:55 -0700

geary (0.6.1-1) unstable; urgency=medium

  * New upstream release.

 -- Vincent Cheng <vcheng@debian.org>  Wed, 02 Jul 2014 22:42:30 -0700

geary (0.6.0-3ubuntu1) utopic; urgency=medium

  * Merge from debian. Remaining changes:
    - debian/control: Add build-depends on libmessaging-menu-dev and
      libunity-dev for Unity integration.

 -- Vincent Cheng <vcheng@debian.org>  Tue, 01 Jul 2014 17:44:29 -0700

geary (0.6.0-3) unstable; urgency=medium

  * Replace dependency on kwallet (which doesn't exist) with kwalletmanager.

 -- Vincent Cheng <vcheng@debian.org>  Sat, 28 Jun 2014 23:25:14 -0700

geary (0.6.0-2) unstable; urgency=medium

  * Add dependency on gnome-keyring | kwallet. (Closes: #752888)

 -- Vincent Cheng <vcheng@debian.org>  Fri, 27 Jun 2014 22:34:54 -0700

geary (0.6.0-1) unstable; urgency=medium

  * Adopt package. (Closes: #752319)
  * New upstream release. (Closes: #742213)
    - Added build-deps: libxml2-dev, gnome-doc-utils.
  * Update debian/copyright with missing license/copyright entries.
  * Add Vcs-* fields in debian/control. (Closes: #703968)
  * Update watch file. (Closes: #743742)
  * Import apport-related files from Ubuntu.
  * Priority changed from extra -> optional.
  * Updated Homepage field in debian/control.

 -- Vincent Cheng <vcheng@debian.org>  Thu, 26 Jun 2014 22:24:33 -0700

=== debian/control ===
Source: geary
Section: mail
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Vincent Cheng <vcheng@debian.org>
Build-Depends:
 cmake (>= 2.8.0),
 debhelper (>= 9.20120417),
 desktop-file-utils,
 gnome-doc-utils,
 intltool,
 libcanberra-dev (>= 0.28),
 libgcr-3-dev,
 libgee-0.8-dev (>= 0.8.5),
 libgirepository1.0-dev (>= 1.32.0),
 libglib2.0-dev (>= 2.32.0),
 libgmime-2.6-dev (>= 2.6.0),
 libgnome-keyring-dev (>= 3.2.2),
 libgtk-3-dev (>= 3.10.0),
 libmessaging-menu-dev,
 libnotify-dev (>=0.7.5),
 libsecret-1-dev (>= 0.11),
 libsqlite3-dev (>= 3.7.4),
 libunique-3.0-dev (>= 3.0.0),
 libunity-dev,
 libwebkitgtk-3.0-dev (>= 2.3.0),
 libxml2-dev (>= 2.7.8),
 valac (>= 0.22.1)
Standards-Version: 3.9.5
Homepage: https://wiki.gnome.org/Apps/Geary
Vcs-Svn: svn://anonscm.debian.org/collab-maint/deb-maint/geary/trunk
Vcs-Browser: http://anonscm.debian.org/viewvc/collab-maint/deb-maint/geary/trunk

Package: geary
Architecture: any
Depends: gnome-keyring | kwalletmanager, ${misc:Depends}, ${shlibs:Depends}
Description: lightweight email client designed for the GNOME desktop
 Geary is an email reader for GNOME designed to let you read your email
 quickly and effortlessly. Its interface is based on conversations, so you
 can easily read an entire discussion without having to click from message
 to message.

=== debian/rules ===
--- 
+++ 
@@ -6,10 +6,7 @@
 LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)
 
 %:
-	dh $@
-
-override_dh_auto_configure:
-	./configure --prefix=/usr
+	dh $@ --buildsystem=cmake
 
 override_dh_installchangelogs:
 	dh_installchangelogs NEWS

## geary 0.8.2

=== help/CMakeLists.txt ===
--- 
+++ 
@@ -15,8 +15,11 @@
 
 # FIXME: don't re-specify this here, instead read it from Makefile.am.
 set(TRANSLATED
+    cs
     el
     es
+    fr
+    it
 )
 
 set(HELP_DEST share/gnome/help/geary)
@@ -28,12 +31,6 @@
 
 install(FILES ${HELP_SOURCE} DESTINATION ${HELP_DEST}/C)
 install(FILES C/figures/geary.svg DESTINATION ${HELP_DEST}/C/figures)
-
-
-FIND_PROGRAM(XML2PO_BIN xml2po)
-IF(NOT XML2PO_BIN)
-    MESSAGE(FATAL_ERROR "xml2po not found")
-ENDIF()
 
 # Hacked together from the similar macro in cmake/Gettext.cmake.
 MACRO(HELP_CREATE_TRANSLATIONS _firstLang)
@@ -78,4 +75,11 @@
     ENDIF()
 ENDMACRO()
 
-HELP_CREATE_TRANSLATIONS(ALL ${TRANSLATED} COMMENT "Translating help docs.")
+IF(TRANSLATE_HELP)
+    FIND_PROGRAM(XML2PO_BIN xml2po)
+    IF(NOT XML2PO_BIN)
+        MESSAGE(FATAL_ERROR "xml2po not found")
+    ENDIF()
+
+    HELP_CREATE_TRANSLATIONS(ALL ${TRANSLATED} COMMENT "Translating help docs.")
+ENDIF()

=== icons/CMakeLists.txt ===
--- 
+++ 
@@ -3,6 +3,7 @@
 set(ICON_FILES
     archive-symbolic.svg
     close-symbolic.svg
+    detach-symbolic.svg
     document-symbolic.svg
     edit-symbolic.svg
     format-text-remove-symbolic.svg

=== sql/CMakeLists.txt ===
--- 
+++ 
@@ -21,3 +21,4 @@
 install(FILES version-019.sql DESTINATION ${SQL_DEST})
 install(FILES version-020.sql DESTINATION ${SQL_DEST})
 install(FILES version-021.sql DESTINATION ${SQL_DEST})
+install(FILES version-022.sql DESTINATION ${SQL_DEST})

=== ui/CMakeLists.txt ===
--- 
+++ 
@@ -5,6 +5,7 @@
 install(FILES account_cannot_remove.glade DESTINATION ${UI_DEST})
 install(FILES account_spinner.glade DESTINATION ${UI_DEST})
 install(FILES app_menu.interface DESTINATION ${UI_DEST})
+install(FILES certificate_warning_dialog.glade DESTINATION ${UI_DEST})
 install(FILES composer.glade DESTINATION ${UI_DEST})
 install(FILES composer_accelerators.ui DESTINATION ${UI_DEST})
 install(FILES find_bar.glade DESTINATION ${UI_DEST})

=== debian/changelog ===
geary (0.8.2-1) unstable; urgency=medium

  * New upstream release.

 -- Vincent Cheng <vcheng@debian.org>  Wed, 05 Nov 2014 22:37:42 -0800

geary (0.8.1-1) unstable; urgency=medium

  * New upstream release.
    - Restrict build-dep on libgcr-3-dev to >= 3.10.1.
  * Bump Standards-Version to 3.9.6.

 -- Vincent Cheng <vcheng@debian.org>  Wed, 08 Oct 2014 00:13:12 -0700

geary (0.8.0-1) unstable; urgency=medium

  * New upstream release.

 -- Vincent Cheng <vcheng@debian.org>  Sat, 20 Sep 2014 13:18:51 -0700

geary (0.4.2-1) unstable; urgency=low

  * Upload to unstable.
  * New upstream release (Closes: #703964).
  * debian/control: update Build-Depends field to match new
    minimum requirements (Closes: #711395).
  * Update debian/copyright file.
  * Bump Standards-Version to 3.9.5.

 -- Devid Antonio Filoni <d.filoni@ubuntu.com>  Sun, 15 Dec 2013 21:24:02 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: geary
 Section: mail
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Vincent Cheng <vcheng@debian.org>
+Maintainer: Vincent Cheng <vcheng@debian.org>
 Build-Depends:
  cmake (>= 2.8.0),
  debhelper (>= 9.20120417),
@@ -10,23 +9,21 @@
  gnome-doc-utils,
  intltool,
  libcanberra-dev (>= 0.28),
- libgcr-3-dev,
+ libgcr-3-dev (>= 3.10.1),
  libgee-0.8-dev (>= 0.8.5),
  libgirepository1.0-dev (>= 1.32.0),
  libglib2.0-dev (>= 2.32.0),
  libgmime-2.6-dev (>= 2.6.0),
  libgnome-keyring-dev (>= 3.2.2),
  libgtk-3-dev (>= 3.10.0),
- libmessaging-menu-dev,
- libnotify-dev (>=0.7.5),
+ libnotify-dev (>= 0.7.5),
  libsecret-1-dev (>= 0.11),
  libsqlite3-dev (>= 3.7.4),
  libunique-3.0-dev (>= 3.0.0),
- libunity-dev,
  libwebkitgtk-3.0-dev (>= 2.3.0),
  libxml2-dev (>= 2.7.8),
  valac (>= 0.22.1)
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: https://wiki.gnome.org/Apps/Geary
 Vcs-Svn: svn://anonscm.debian.org/collab-maint/deb-maint/geary/trunk
 Vcs-Browser: http://anonscm.debian.org/viewvc/collab-maint/deb-maint/geary/trunk

## geary 0.8.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -15,7 +15,7 @@
 #
 set(GETTEXT_PACKAGE "geary")
 set(RELEASE_NAME "Lightweight email client for GNOME.")
-set(VERSION "0.6.0")
+set(VERSION "0.8.3")
 set(VERSION_INFO "Release")
 set(LANGUAGE_SUPPORT_DIRECTORY ${CMAKE_INSTALL_PREFIX}/share/locale)
 
@@ -28,6 +28,7 @@
 option(ICON_UPDATE "Run gtk-update-icon-cache after the install." ON)
 option(DESKTOP_UPDATE "Run update-desktop-database after the install." ON)
 option(DESKTOP_VALIDATE "Check generated desktop file for errors during build." ON)
+option(TRANSLATE_HELP "Generate and install translated help documentation." ON)
 
 if (DEBUG)
     message(STATUS "Debug build")
@@ -45,6 +46,10 @@
     message(STATUS "Generated desktop file will be checked for errors")
 endif ()
 
+if (TRANSLATE_HELP)
+    message(STATUS "Help translations will be generated and installed")
+endif ()
+
 find_package(PkgConfig)
 pkg_check_modules(LIBUNITY QUIET unity>=5.12.0)
 pkg_check_modules(LIBMESSAGINGMENU QUIET messaging-menu>=12.10.2)
@@ -55,6 +60,8 @@
 pkg_check_modules(WEBKITGTK22X QUIET webkitgtk-3.0>=2.2.0 webkitgtk-3.0<=2.2.100)
 pkg_check_modules(WEBKITGTK20X QUIET webkitgtk-3.0>=2.0.0 webkitgtk-3.0<=2.0.100)
 pkg_check_modules(WEBKITGTK110X QUIET webkitgtk-3.0>=1.10.0 webkitgtk-3.0<=1.10.2)
+
+pkg_check_modules(GTK312X QUIET gtk+-3.0>=3.12.0)
 
 # intl
 include(Gettext)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -40,6 +40,7 @@
 engine/api/geary-progress-monitor.vala
 engine/api/geary-search-folder.vala
 engine/api/geary-search-query.vala
+engine/api/geary-service.vala
 engine/api/geary-service-provider.vala
 engine/api/geary-special-folder-type.vala
 
@@ -271,6 +272,7 @@
 engine/state/state-machine.vala
 engine/state/state-mapping.vala
 
+engine/util/util-ascii.vala
 engine/util/util-collection.vala
 engine/util/util-converter.vala
 engine/util/util-files.vala
@@ -291,6 +293,4 @@
 )
 
 set(CLIENT_SRC
-client/application/geary-action-adapter.vala
-client/application/geary-application.vala
-client/application/geary-args.vala
+client/application/autostart-manager.vala

=== debian/changelog ===
geary (0.8.3-1ubuntu1) vivid; urgency=medium

  * Merge from debian (LP: #1404570). Remaining changes:
    - debian/control: Add build-depends on libmessaging-menu-dev and
      libunity-dev for Unity integration.

 -- Vincent Cheng <vcheng@debian.org>  Sat, 20 Dec 2014 15:22:54 -0800

geary (0.8.3-1) unstable; urgency=medium

  * New upstream release.

 -- Vincent Cheng <vcheng@debian.org>  Sat, 20 Dec 2014 00:02:54 -0800
